#!/usr/bin/python3

from PyQt6.QtWidgets import QTabWidget

from .tab_bar import PlaylistTabBar


class PlaylistTabs(QTabWidget):
    def __init__(self, library, parent=None):
        super().__init__(parent)

        self.library = library
        self.app = library.app

        self.tab_bar = PlaylistTabBar(self)
        self.setTabBar(self.tab_bar)
        self.setDocumentMode(True)

        self.setMovable(True)
        self.setAcceptDrops(True)
